Bug 71081 - Minor painting issue on pull-down menus
Minor painting issue on pull-down menus
Product: Red Hat Linux
Classification: Retired
Component: redhat-artwork (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: John (J5) Palmieri
Depends On:
Blocks: 67218 79579 CambridgeTarget
  Show dependency treegraph
Reported: 2002-08-08 12:05 EDT by Steve Fox
Modified: 2013-03-13 00:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-08 13:48:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Steve Fox 2002-08-08 12:05:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/0

Description of problem:
I have multiple Evolution mail accounts. When I create an email and click on the
select list to choose which account to send the mail as, the currently selected
item is shown with white text which is quite unreadable. Selecting another
entry, then going back to the previous selection will cause it to repaint with
black text. I'm guessing this is just a minor initial painting bug.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Should be able to figure out from description.

Additional info:
Comment 1 Havoc Pennington 2002-08-13 18:17:44 EDT
Bug in GTK 1.2 Bluecurve theme.
Comment 2 Alexander Larsson 2002-08-14 09:24:23 EDT
This is because gtk1 is not drawing the selected background for the menuitem
that is active unless you have the pointer over it. If you drop down an
optionmenu that is wider than the menu itself by clicking on the right side you
will get this. 

The color needs to be white to work when the selected background (a gradient) is
drawn, so i don't know how to fix this.

hp? owen?
Comment 3 Alexander Larsson 2003-08-08 07:42:48 EDT
This really shouldn't be needinfo.
Comment 4 Bill Nottingham 2006-08-07 15:16:44 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 5 Steve Fox 2006-08-08 13:48:44 EDT
I do not see this error any more using the GTK2 Bluecurve theme. 

Note You need to log in before you can comment on or make changes to this bug.